Download it now!
Bug 128569 - Wrong advice in Help files for changing page numbering style
Summary: Wrong advice in Help files for changing page numbering style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.3.2.2 release
Hardware: All All
: medium normal
Assignee: sdc.blanco
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Help-Changes-Features
  Show dependency treegraph
 
Reported: 2019-11-03 14:54 UTC by RGB
Modified: 2020-02-10 20:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description RGB 2019-11-03 14:54:56 UTC
In the LibreOffice 6.3 help files 

https://help.libreoffice.org/6.3/en-US/text/swriter/guide/pagenumbers.html?DbPAR=WRITER#bm_id5918759

you can read 

[quote]
To Format the Page Number Style

You want roman page numbers running i, ii, iii, iv, and so on.

  1  Double-click directly before the page number field. You see the Edit Fields dialog.

  2  Select a number format and click OK.
[/quote]

That's a bad practice: it only "dress" the page number, it does not change the number format so, for example, the index will not show the right number format. To change the page number format you need to act on the corresponding page style.

I'm not a native English speaker, so I let others to write the correct phrase. But it should be something in the lines of "to change the page numbering format, modify the corresponding page style and in the 'Page' tab, under 'Layout settings' change 'Page numbers' according to your needs.
Comment 1 Timur 2019-11-09 18:40:01 UTC
Good catch. I will confirm this and suggest to have both, like this:

To Format the Page Number Style

If you want for example roman page numbers running i, ii, iii, iv, and so on, there are two ways to achieve this.

By using direct formatting, the index will keep the default format: 
  1  Double-click directly before the page number field. You see the Edit Fields dialog.
  2  Select a number format and click OK.

By using page formatting, the index will show the same format: 
  1  Open Format-Page Style-Page
  2  Change Page numbers and click OK.
Comment 2 Olivier Hallot 2020-01-23 22:25:48 UTC
There is some confusion in the page to deal with page number format. The text

<quote>
To Format the Page Number Style

You want roman page numbers running i, ii, iii, iv, and so on.

    Double-click directly before the page number field. You see the Edit Fields dialog.

    Select a number format and click OK.
</quote>

Is exactly that: You format the field ad-hoc. It is not related to Page style or Index format. You can have a PN in the body of page 345 with roman numbers and in the body of page 123 as ordinal. Ad-hoc, one by one.

Hence, the word "Style" is misleading, we are not dealing with a style but with a direct formatting. Also, the Edit field dialog has "Format" in the rightmost box and not "style".

Solution is to reword the heading as: "To Apply a Numeric Format to a Page Number Field".

The suggested text by comment#1 
<quote>
By using page formatting, the index will show the same format: 
  1  Open Format-Page Style-Page
  2  Change Page numbers and click OK.
</quote>

introduces Page style and Index matters that is not related to the nuneric formatting of the page number field and should not be added here.

The technique of automatic numbering of pages (as in footers or headers) with different numbering format is explained just after and uses pages styles.
Comment 3 Commit Notification 2020-02-03 15:09:26 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/c3837f2e395c0606a3383a0594b2a6a759e8bac8

tdf#128569 improve guide for page numbering
Comment 4 Commit Notification 2020-02-05 20:57:07 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/578a5c008a5b14ada9d627519facf2ace0025d21

tdf#128569 remove ambiguity about page number style
Comment 5 sdc.blanco 2020-02-10 20:40:27 UTC
@RGB, @Timur, * now it is possible to see the updating of the help page. 
Maybe it has helped to change the word "style" to "format" in relation to page numbers (plus some of the menu command sequences were updated).

https://help.libreoffice.org/7.0/en-US/text/swriter/guide/pagenumbers.html

I will close this bug, but you are welcome to reopen it if there is more to improve. Also if there is another help page where the discussion in comment 1 should be appearing, then you are welcome to mention it here.